/*----------------------------------------*\
|                                          |
| >>AGBMIDI 1.0                            |
|                                          |
\*----------------------------------------*/

/* EVENTS */

#define MIDI_NOTE_OFF	0x80
#define MIDI_NOTE_ON	0x81
#define MIDI_TEMPO		0x82
#define MIDI_PROGRAM	0x83
#define MIDI_PITCH		0x84
#define MIDI_VOLUME		0x85
#define MIDI_PAN		0x86
#define MIDI_EOF		0x87
#define MIDI_LOOP		0x88
#define MIDI_KEY_SHIFT	0x89
#define MIDI_WAIT(x)	(0x8A + (x))

/* MISC */

#define MIDI_C			0x00
#define MIDI_Cs			0x01
#define MIDI_D			0x02
#define MIDI_Ds			0x03
#define MIDI_E			0x04
#define MIDI_F			0x05
#define MIDI_Fs			0x06
#define MIDI_G			0x07
#define MIDI_Gs			0x08
#define MIDI_A			0x09
#define MIDI_As			0x0A
#define MIDI_B			0x0B

#define MIDI_KEY_CENTER	0x05
#define MIDI_PAN_CENTER	0x40
#define MIDI_BND_CENTER	0x2000
